## org.apache.poi.ss.formula.atp
Class DateParser

    java.lang.Object
      org.apache.poi.ss.formula.atp.DateParser

    public class DateParser

extends java.lang.Object

Parser for java dates.

Author:
  jfaenomoto@gmail.com

Field Summary
`DateParser` `instance`

Method Summary
`static java.util.Calendar` `parseDate(java.lang.String strVal)` Parses a date from a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public DateParser instance

Method Detail

### parseDate

    public static java.util.Calendar parseDate(java.lang.String strVal)
                                        throws EvaluationException

  Parses a date from a string.

  Parameters:
    `strVal` - a string with a date pattern.
  Returns:
    a date parsed from argument.
  Throws:
    `EvaluationException` - exception upon parsing.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.